| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Image
Image.Image

# Method Image.Image()->phasev()

Method phasev

  `object phaseh()`
  `object phasev()`
  `object phasevh()`
  `object phasehv()`

Description

  Draws images describing the phase of the current image. phaseh gives the horizontal phase and phasev the vertical phase.

  `phaseh` gives an image where

             max  falling   min  rising
      value=  0     64      128   192

  0 is set if there is no way to determine if it is rising or falling. This is done for the every red, green and blue part of the image.

  Phase images can be used to create ugly effects or to find meta-information in the orginal image.

  original | phaseh() | phasev() | phasevh() | phasehv()

Returns

  the new image object

Note

  experimental status; may not be exact the same output in later versions

Bugs

  0 should not be set as explained above.